#include <bindings.cmacros.h>
#include <HsBaseConfig.h>
#include <rrd.h>
#include <rrd_client.h>

BC_INLINE_(DNAN, double)
BC_INLINE_(DINF, double)

rrd_info_t*
inline_rrd_info_push(rrd_info_t * info,
                     char *key, rrd_info_type_t type, rrd_infoval_t* value) {
    return rrd_info_push(info, key, type, *value);
}
              
BC_INLINE_(RRDCACHED_DEFAULT_ADDRESS, const char*)
BC_INLINE_(RRDCACHED_DEFAULT_PORT   , const char*)
BC_INLINE_(ENV_RRDCACHED_ADDRESS    , const char*)
